Tusk Logistics offers domestic regional services for shippers located in the US and Canada.
This guide provides developers with the details needed to build Tusk Logistics shipping capabilities into your ShipStation API workflows.
| Property | Type | Description |
|---|---|---|
nickname | string | required |
account_name | string | required |
api_key | string | required |
Both weight and dimensions are required to create labels for Tusk Logistics shipments.
You can connect a Tusk Logistics account using the POST method to the /v1/connections/carriers/ endpoint. Connecting a Tusk Logistics account via the ShipStation API Dashboard is not currently available.
carrier_name: tusk
POST /v1/connections/carriers/:carrier_name
Sample request:
POST /v1/connections/carriers/tusk HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"nickname": "My Tusk Logistics account",
"account_name": "a clever account name",
"api_key": "123456789"
}A successful connection will return a response with the carrier_id, which you'll use for any requests for this account going forward.
Tusk Logistics supports the ability to get rates with ShipStation API. See our Calculate Shipping Costs pages for details about getting rates with ShipStation API.
Available Tusk Logistics services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the list carrier services endpoint at any time.
| Service | API Code | Ship From Countries | Description |
|---|---|---|---|
| Tusk Ground | tusk_ground | US | Domestic service |
| GoBolt | tusk_gobolt | Canada | Domestic service |
Tusk Logistics does not currently support return services.
The following carrier package types are available for Tusk Logistics services:
| Name | API Code | Package Attributes |
|---|---|---|
| Package | tusk_package | Domestic |
- Label sizes: 4" x 6"
- Label formats: PDF, PNG, ZPL
Tusk Logistics does not support custom label messages.
Tusk Logistics supports creating multi-package labels for both the Tusk Ground and GoBolt services.
See our Multi-Package Shipping page for details about creating multi-package labels.
Tusk Logistics does not support label branding.
Tusk Logistics supports voiding labels with ShipStation API. If you create a manifest for Tusk Logistics shipments, you can also void a label that has already been included on a manifest, but it must be done before the package has been handed over to the carrier.
See our Void a Label page for details about voiding labels with ShipStation API.
Tusk Logistics does not support paperless labels with ShipStation API.
Tusk Logistics does not support adding delivery confirmation to shipments.
Tusk Logistics does not support any advanced options.
Tusk Logistics does support creating a manifest, but it is not required.
See our Manifests page for more details about creating manifests with ShipStation API.
Tusk Logistics does not support scheduling a pickup via ShipStation API.
Tusk Logistics does not support shipping to service points.
ShipStation API's integration with Tusk Logistics supports receiving tracking updates. Review our Track a Package guides for details on tracking with the ShipStation API.
See the Disconnect section in our Delete a Carrier page for the process of deleting or disconnecting a carrier from ShipStation API.
NOTE:
If you disconnect a carrier account and reconnect it, the account will have a new
carrier_idin ShipStation API.